%define upstream_name    Graph-Easy-As_svg
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Output a Graph::Easy as Scalable Vector Graphics (SVG)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Graph/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Graph::Easy)
BuildRequires: perl(Image::Info)
BuildRequires: perl(Test::More)
BuildArch: noarch

# JQ 2014-04-15
# Module redefines subs in Graph::Easy, thus duplicating perl modules
# provides. Therefore we remove all automatic provides and define
# manually the only official provides.
%global __provides_exclude perl\\(Graph::Easy.*\\)
Provides:   perl(Graph::Easy::As_svg)

%description
'Graph::Easy::As_svg' contains just the code for converting a Graph::Easy
object to a SVG text.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc TODO SIGNATURE LICENSE README META.yml INSTALL CHANGES
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-6.mga6
+ Revision: 1027963
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.230.0-5.mga6
+ Revision: 938888
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-4.mga5
+ Revision: 746595
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.230.0-3.mga5
+ Revision: 684892
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Tue Apr 15 2014 jquelin <jquelin> 0.230.0-2.mga5
+ Revision: 614599
- remove bogus provides

* Mon Mar 03 2014 guillomovitch <guillomovitch> 0.230.0-1.mga5
+ Revision: 598845
- imported package perl-Graph-Easy-As_svg


* Mon Mar 03 2014 cpan2dist 0.23-1mga
- initial mageia release, generated with cpan2dist
